# Class DecompressionUtil

java.lang.Object
com.databricks.jdbc.common.util.DecompressionUtil

public class DecompressionUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`DecompressionUtil()`

## Method Summary

Modifier and Type
Method
Description
`static byte[]`
`decompress(byte[] compressedInput, CompressionCodec compressionCodec, String context)`
`static InputStream`
`decompress(InputStream compressedStream, CompressionCodec compressionCodec, String context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DecompressionUtil

public DecompressionUtil()

## Method Details

### decompress

public static byte[] decompress(byte[] compressedInput, CompressionCodec compressionCodec, String context) throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

### decompress

public static InputStream decompress(InputStream compressedStream, CompressionCodec compressionCodec, String context) throws IOException, DatabricksSQLException

Throws:
  `IOException`
  `DatabricksSQLException`